using System;
using System.Collections.Generic;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    class EnemyRobot: Robot
    {
        protected Vec2f myRobotPosition = new Vec2f(0, 0);

        public EnemyRobot(Vec2f position) : base(position) { }

        public override void Proceed(double delta)
        {    
            base.Proceed(delta);
        }

        public void OnMyRobotMove(Vec2f myPosition)
        {
            myRobotPosition = myPosition;
        }

        protected override void SetParams()
        {
        }

        public virtual void GetDamage(float damage)
        {
        }
    }
}
